/* Jim routines for plotting using SDL and SDL_gfx */

#include <SDL.h>
#include "SDL/SDL_gfxPrimitives.c"

int PLOT_wheight, PLOT_wwidth;
int PLOT_x,PLOT_y;
Sint16 PLOT_R,PLOT_G,PLOT_B,PLOT_A;
SDL_Surface* PLOT_screen;

void PLOT_string(int sx,int sy,char* ps)
{
  stringRGBA(PLOT_screen,sx,PLOT_wheight-sy-16,ps,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
}

void PLOT_move(int mx,int my)
{
  PLOT_x=mx;
  PLOT_y=my;
}

void PLOT_draw(int mx,int my)
{
  aalineRGBA(PLOT_screen,PLOT_x,PLOT_wheight-PLOT_y,mx,PLOT_wheight-my,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
  PLOT_x=mx;
  PLOT_y=my;
}

void PLOT_open_window(int pww,int pwh)
{
  int i;
  PLOT_wheight=pwh;
  PLOT_wwidth=pww;
  PLOT_x=0;
  PLOT_y=0;
  SDL_Init(SDL_INIT_VIDEO);
  atexit(SDL_Quit);
  PLOT_screen = SDL_SetVideoMode(PLOT_wwidth, PLOT_wheight, 8, SDL_SWSURFACE);
  for(i = 0; i < SDL_NUMEVENTS; i++) {
    if  ((i != SDL_QUIT) && (i != SDL_MOUSEMOTION) && (i != SDL_MOUSEBUTTONDOWN) && (i != SDL_KEYDOWN) )
    SDL_EventState(i, SDL_IGNORE);
  }

 PLOT_R=255; PLOT_G=255; PLOT_B=255; PLOT_A=255;
 SDL_FillRect(PLOT_screen, NULL, SDL_MapRGB(PLOT_screen->format, 0, 0, 0));
}

void PLOT_rectangle(int prx1,int pry1,int prw,int prh)
{
  pry1=PLOT_wheight-pry1;
  prh=pry1-prh;
  prw=prw+prx1;
  rectangleRGBA(PLOT_screen,prx1,pry1,prw,prh,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
}

void PLOT_rectangle_fill(int prx1,int pry1,int prw,int prh)
{
  pry1=PLOT_wheight-pry1;
  prh=pry1-prh;
  prw=prw+prx1;
  boxRGBA(PLOT_screen,prx1,pry1,prw,prh,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
}

void PLOT_circle(int prx1,int pry1,int prr)
{
  pry1=PLOT_wheight-pry1;
  aacircleRGBA(PLOT_screen,prx1,pry1,prr,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
}


void PLOT_circle_fill(int prx1,int pry1,int prr)
{
  pry1=PLOT_wheight-pry1;
  filledCircleRGBA(PLOT_screen,prx1,pry1,prr,PLOT_R,PLOT_G,PLOT_B,PLOT_A);
}
void PLOT_setRGB(Sint16 sr,Sint16 sg,Sint16 sb)
{
  PLOT_R=sr;
  PLOT_G=sg;
  PLOT_B=sb;
}

void PLOT_show(void)
{
 SDL_UpdateRect(PLOT_screen, 0, 0, 0, 0);
}



